{
  name: "Soifonite",
  spritenum: -13005,
  megaStone: "Soifon-Mega",
  megaEvolves: ["Soifon"],
  itemUser: ["Soifon"],
  onTakeItem(item, source) {
    if (item.megaEvolves?.includes(source.baseSpecies.baseSpecies) || item.itemUser?.includes(source.baseSpecies.baseSpecies)) return false;
    return true;
  },
  gen: 6,
  isNonstandard: "Past"
}
